Index: /extensions/Mail_supervisor/admin/mail_superv_admin.php
===================================================================
--- /extensions/Mail_supervisor/admin/mail_superv_admin.php	(revision 4044)
+++ /extensions/Mail_supervisor/admin/mail_superv_admin.php	(revision 4045)
@@ -272,4 +272,12 @@
  }
 //================================================================================
+	if  ( $mails_données['reste'] < 0 ) {
+	    $mails_données['quarantaine'] =false ;
+	    $mails_données['date_quarantaine']= time()  ;	
+		$mails_données['nb_spams'] = 0 ;
+	    $modif == true ;
+	}
+	 
+	  
  	$rest_mail =    $mails_données['rest_mail'] ;
 	if ($rest_mail <=0 || $mails_données['nb_mails'] ==0 ){
Index: /extensions/Mail_supervisor/include/fonctions.php
===================================================================
--- /extensions/Mail_supervisor/include/fonctions.php	(revision 4044)
+++ /extensions/Mail_supervisor/include/fonctions.php	(revision 4045)
@@ -181,33 +181,7 @@
 function corrige_header($Carbonne,$headers)
 	{
-	global $mails_options,$conf_mail,$mailto;
-
-		$splitter="|".$Carbonne.":(.*)\n|U";
-		preg_match_all($splitter,$headers, $out,PREG_PATTERN_ORDER);
-		$val=array();
-		$match=array("<",">");
-		$string=array("","") ;
-		foreach($out as $messages)
-		{
-		$val[]=  $messages[0] ;
-		}
- 
-
-	$val[1]=  str_replace( $match,$string,$val[0] ) ;
-	$src=$val[0];
-	
-	$splitter="|\"(.*)\"|U";
-	preg_match_all($splitter,$val[1], $out,PREG_PATTERN_ORDER);
-	$string=array();
-	$string = array_fill( 0, count($out), '');
-	$dest = str_replace($out[0], $string, $val[1]) ;
- if ($mailto <>"" ) {	
-	 $dest=str_replace($mailto.',', '', $dest) ;
-	 $dest=str_replace($mailto, '', $dest) ;
-	
-} 
-
-
-	$headers = str_replace( $src,$dest, $headers) ;
+	global $mails_options,$conf_mail,$mailto,$args;
+	$headers = preg_replace('/.*'.$Carbonne.'(.*).\n/i', $Carbonne.' : '.get_strict_email_list(implode(' , ', $args[$Carbonne]))."\n", $headers);
+
 	return $headers;
 
Index: /extensions/Mail_supervisor/include/function_test_send.php
===================================================================
--- /extensions/Mail_supervisor/include/function_test_send.php	(revision 4044)
+++ /extensions/Mail_supervisor/include/function_test_send.php	(revision 4045)
@@ -72,7 +72,4 @@
   	$args['Bcc']=$groups;
 	$args['from'] = $conf_mail['formated_email_webmaster'];
-
-  
-  
 	//==================================================================
 	 $message_texte=sprintf(
@@ -83,9 +80,7 @@
 		$args['from']
         );	
-	$message_texte .=$message;	
  	//==================================================================
-	$message_html=$message_texte;
-//	$message_html .=  	'<img src="'.PHPWG_ROOT_PATH.'admin/template/goto/theme/roma/images/piwigo_logo_sombre_214x100.png" />';
-	 
+	$message_html = $message_texte;
+
 	
  //==========================================================================
Index: /extensions/Mail_supervisor/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/Mail_supervisor/language/fr_FR/plugin.lang.php	(revision 4044)
+++ /extensions/Mail_supervisor/language/fr_FR/plugin.lang.php	(revision 4045)
@@ -89,9 +89,12 @@
 $lang['message_texte %s %s %s %s'] ='
  %s
-	 Bonjour  %s ,
+	      Bonjour   "%s"  ,
+		  
 	 %s
 	
-	  A bientot 
-	  %s
+	 
+	    A bientot 
+	  
+	      %s
 	  '; 
 
Index: /extensions/Mail_supervisor/main.inc.php
===================================================================
--- /extensions/Mail_supervisor/main.inc.php	(revision 4044)
+++ /extensions/Mail_supervisor/main.inc.php	(revision 4045)
@@ -92,20 +92,36 @@
 	     	 
   $nb_destinataires=0;
+		if ($mails_options[0] == 'on') {
+ 			if ($mailto == "" )	$mailto = $conf_mail['email_webmaster'];
+		}    
+ if ($mailto<>"" )            $nb_destinataires +=1; 
+ if (!empty($args['Cc']))     $nb_destinataires += count($args['Cc']);
+ if (!empty($args['Bcc']))    $nb_destinataires += count($args['Bcc']);
+   //================= réécriture de l'entête ===============================
+if ( $nb_destinataires  == 1 )
+	{
+		if ($mailto == "" ) 
+		  {
+		  
+		  	  if (!empty($args['Cc']))  $mailto  = get_strict_email_list(implode(',', $args['Cc'])) ;
+	 	 	  if (!empty($args['Bcc'])) $mailto  = get_strict_email_list(implode(',', $args['Bcc'])) ;
+			  
+				$headers = preg_replace('/.*Bcc(.*).\n/i', '', $headers);
+				$headers = preg_replace('/.*Cc(.*).\n/i', '', $headers);
+		  }
+	}else{
+
+   
+		if (!empty($args['Cc']))
+  			{
+    			if ($mails_options[1] == 'on') {  $headers= corrige_header('Cc',$headers);}
+  			}
+  		if (!empty($args['Bcc']))
+  			{   
+		   		if ($mails_options[1] == 'on') {  $headers	= corrige_header('Bcc',$headers);}
+			}
+
   
- if ($mailto<>"" )  $nb_destinataires +=1; 
-   //================= réécriture de l'entête ===============================
-
-if ($mails_options[0] == 'on') {
- 	if ($mailto=="")	$mailto=$conf_mail['email_webmaster'];
-}
-   		if (!empty($args['Cc']))
-  		{$nb_destinataires += count($args['Cc']);
-		 if ($mails_options[1] == 'on') {  $headers= corrige_header('Cc:',$headers);}
-  		}
-  		if (!empty($args['Bcc']))
-  		{  $nb_destinataires += count($args['Bcc']); 
-		   if ($mails_options[1] == 'on') {  $headers	= corrige_header('Bcc',$headers);}
-		}
-
+     }
 
 if ($mails_options[2]=='on')   {
@@ -130,5 +146,5 @@
 		$ret = false;
 		 if ($nb_destinataires > 0) {
-   	  	  	 $ret = mail($mailto, $subject, $content, $headers);
+   	           $ret = mail($mailto, $subject, $content, $headers);
  
 			}else{
@@ -148,6 +164,7 @@
 			if ($alerte_spam ) { 
 		        $type="Spams";
-				$d1=$mails_données['nb_spams'];
+				
 				$d1=$mails_données['nb_spams'] . '  \\  ' . $mails_données['nb_spams_maxi'];
+				$d2=$mails_données['nb_spams'];
  				$d3= $mails_données['rest_spam'];
 				$d4=time()+$d3 ;
@@ -228,6 +245,5 @@
 				if ( $trop_de_spam ) {
 						$mails_données['nb_spams_maxi']=$mails_données['nb_spams'];
-						$quarantaine_periode="+".str_replace( $period_search, $period_match, $mails_données['quarantaine_periode']);
-						$next_day =  strtotime($quarantaine_periode);  // détection de 'Trop de spam
+
 						$mails_données['date_quarantaine']= time()  ;	
 						$mails_données['quarantaine']= true    ;	