Index: /extensions/Public_Piwigo_WordPress_Widget/Public_WP_Piwigo_Widget.php
===================================================================
--- /extensions/Public_Piwigo_WordPress_Widget/Public_WP_Piwigo_Widget.php	(revision 4054)
+++ /extensions/Public_Piwigo_WordPress_Widget/Public_WP_Piwigo_Widget.php	(revision 4055)
@@ -2,122 +2,74 @@
 /*
 Plugin Name: Public Piwigo WordPress Widget
-Version: auto
+Plugin URI: http://piwigo.org/ext/extension_view.php?eid=
 Description: Public Piwigo WordPress Widget (PW^2) is a WordPress 2.8 widget, it links a public picture in your Piwigo gallery (<a href="http://piwigo.org/">Piwigo</a>). In other words, it's a WordPress Sidebar Widget with some available public pictures in your Piwigo gallery as a prereq.
-Plugin URI: http://piwigo.org/ext/extension_view.php?eid=
+Version: 1.00
 Author: VDigital
-Author URI: http://www.vdigital.org/
+Author URI: http://www.vdigital.org/sharing/
 */
-if (defined('PHPWG_ROOT_PATH')) return;
+if (defined('PHPWG_ROOT_PATH')) return; /* Avoid Automatic install under Piwigo */
+/*  Copyright 2009  VDigital  (email : vpiwigo[at]gmail[dot]com)
+
+    This program is free software; you can redistribute it and/or modify
+    it under the terms of the GNU General Public License as published by
+    the Free Software Foundation; either version 2 of the License, or
+    (at your option) any later version.
+
+    This program is distributed in the hope that it will be useful,
+    but WITHOUT ANY WARRANTY; without even the implied warranty of
+    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+    GNU General Public License for more details.
+
+    You should have received a copy of the GNU General Public License
+    along with this program; if not, write to the Free Software
+    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+*/
+if (!defined('PPW_NAME')) define('PPW_NAME','Public Piwigo WordPress ');
+if (!defined('PPW_PFX')) define('PPW_PFX','Public_Piwigo_WordPress_');
 
 class Public_Piwigo_WordPress_Widget extends WP_Widget
 {
-    function Public_Piwigo_WordPress_Widget(){
-      $widget_ops = array('classname' => 'Public_Piwigo_WordPress_Widget',
-        'description' => __( "Adds a thumbnail and its link (to the picture) inside your blog sidebar.") );
-      $control_ops = array('width' => 300, 'height' => 300);
-      $this->WP_Widget('Public_Piwigo_WordPress_Widget', 'Public Piwigo WordPress Widget', $widget_ops, $control_ops);
-    }
-
-    function widget($args, $gallery){
-      global $wpdb;
-      extract($args);
-      $title = apply_filters('widget_title', empty($gallery['title']) ? '&nbsp;' : $gallery['title']);
-      $piwigo = empty($gallery['piwigo']) ? '' : $gallery['piwigo'];
-      $piwigo_url = 'http://' . $_SERVER['HTTP_HOST'] . '/' . $piwigo ;
-      if (!empty($gallery['external'])) $piwigo_url = $gallery['external'];
-      if (substr($piwigo_url,-1)!='/') $piwigo_url .= '/';
-      $options = '';
-      if (!empty($gallery['category'])) $options = '&cat_id=' . intval($gallery['category']);
-
-      $from = empty($gallery['from']) ? '12' : intval($gallery['from']);
-      $r = (array) $wpdb->get_results('SELECT date_sub( date( now( ) ) , INTERVAL ' . $from . ' MONTH ) as begin');
-      $from = $r[0]->begin;
-      if (!empty($gallery['from'])) $options .= '&f_min_date_created=' . $from;
-
-      $divclass = empty($gallery['divclass']) ? '' : ' class="' . $gallery['divclass'] .'"';
-      $class = empty($gallery['class']) ? '' : ' class="' . $gallery['class'] .'"';
-
-      echo $before_widget;
-      if ( $title ) echo $before_title . $title . $after_title;
-
-      # Make the Piwigo link
-      $response = file_get_contents( $piwigo_url . 'ws.php?method=pwg.categories.getImages&format=php&per_page=1'
-        . $options . '&recursive=true&order=random&f_with_thumbnail=true');
-      $thumbc = unserialize($response);
-      if ($thumbc["stat"] == 'ok') {
-          $picture = $thumbc["result"]["images"]["_content"][0];
-          echo '<div' . $divclass . '><a title="' . $title . '" href="' . $piwigo_url . 'picture.php?/' . $picture['id'] . '"><img '
-            . $class . ' src="' . $picture['tn_url'] . '" alt="" /></a></div>';
-      }
-
-      echo $after_widget;
-    }
-
-    function update($new_gallery, $old_gallery){
-      $gallery = $old_gallery;
-      $gallery['title'] = strip_tags(stripslashes($new_gallery['title']));
-      $gallery['piwigo'] = strip_tags(stripslashes($new_gallery['piwigo']));
-      $gallery['external'] = strip_tags(stripslashes($new_gallery['external']));
-      $gallery['category'] = intval(strip_tags(stripslashes($new_gallery['category'])));
-      $gallery['from'] = intval(strip_tags(stripslashes($new_gallery['from'])));
-      $gallery['divclass'] = strip_tags(stripslashes($new_gallery['divclass']));
-      $gallery['class'] = strip_tags(stripslashes($new_gallery['class']));
-
-    return $gallery;
-    }
-
-    function form($gallery){
-      //Defaults
-      $gallery = wp_parse_args( (array) $gallery, array('title'=>__('Random picture'), 
-        'piwigo'=>'piwigo', 'external'=>'', 'category'=>0, 'from'=> 12, 'divclass'=>'', 'class'=>'', ) );
-
-      $title = htmlspecialchars($gallery['title']);
-      $piwigo = htmlspecialchars($gallery['piwigo']);
-      $external = htmlspecialchars($gallery['external']);
-      $category = intval($gallery['category']);
-      $from = intval($gallery['from']);
-      $divclass = htmlspecialchars($gallery['divclass']);
-      $class = htmlspecialchars($gallery['class']);
-
-      # Options
-      echo '<p style="text-align:right;"><label for="' . $this->get_field_name('title') . '">' . __('Public Piwigo WordPress Widget Title:') 
-      . ' <input style="width: 250px;" id="' . $this->get_field_id('title') . '" name="' . $this->get_field_name('title')
-      . '" type="text" value="' . $title . '" /></label></p>';
-      # Piwigo directory
-      echo '<p style="text-align:right;"><label for="' . $this->get_field_name('piwigo') . '">' . __('Your Piwigo directory (local):') 
-      . ' <input style="width: 200px;" id="' . $this->get_field_id('piwigo') . '" name="' . $this->get_field_name('piwigo')
-      . '" type="text" value="' . $piwigo . '" /></label></p>';
-      # Optional parameters
-      echo '<h5>' . __('Piwigo optional parameters') . '</h5>';
-      # External website
-      echo '<p style="text-align:right;"><label for="' . $this->get_field_name('external') . '">' . __('Piwigo gallery URL (external):') 
-      . ' <input style="width: 200px;" id="' . $this->get_field_id('external') . '" name="' . $this->get_field_name('external')
-      . '" type="text" value="' . $external . '" /></label></p>';
-      # Category
-      echo '<p style="text-align:right;"><label for="' . $this->get_field_name('category') . '">' . __('Piwigo category id (0=all):') 
-      . ' <input style="width: 200px;" id="' . $this->get_field_id('category') . '" name="' . $this->get_field_name('category')
-      . '" type="text" value="' . $category . '" /></label></p>';
-      # from
-      echo '<p style="text-align:right;"><label for="' . $this->get_field_name('from') . '">' . __('for X months (empty=all):') 
-      . ' <input style="width: 200px;" id="' . $this->get_field_id('from') . '" name="' . $this->get_field_name('from')
-      . '" type="text" value="' . $from . '" /></label></p>';
-      # divclass
-      echo '<p style="text-align:right;"><label for="' . $this->get_field_name('divclass') . '">' . __('CSS DIV class:') 
-      . ' <input style="width: 200px;" id="' . $this->get_field_id('divclass') . '" name="' . $this->get_field_name('divclass')
-      . '" type="text" value="' . $divclass . '" /></label></p>';
-      # class
-      echo '<p style="text-align:right;"><label for="' . $this->get_field_name('class') . '">' . __('CSS IMG class:') 
-      . ' <input style="width: 200px;" id="' . $this->get_field_id('class') . '" name="' . $this->get_field_name('class')
-      . '" type="text" value="' . $class . '" /></label></p>';
-    }
-
+	function Public_Piwigo_WordPress_Widget(){
+		$widget_ops = array('classname' => PPW_PFX . 'Widget',
+			'description' => __( "Adds a thumbnail and its link (to the picture) inside your blog sidebar.") );
+		$control_ops = array('width' => 300, 'height' => 300);
+		$this->WP_Widget(PPW_PFX . 'Widget', PPW_NAME . 'Widget', $widget_ops, $control_ops);
+	}
+	// Code generator
+	function widget($args, $gallery){
+		include 'Public_WP_Piwigo_code.php';
+	}
+	function update($new_gallery, $old_gallery){
+		$gallery = $old_gallery;
+		$gallery['title'] = strip_tags(stripslashes($new_gallery['title']));
+		$gallery['thumbnail'] = (strip_tags(stripslashes($new_gallery['thumbnail'])) == 'true') ? 'true':'false';
+		$gallery['piwigo'] = strip_tags(stripslashes($new_gallery['piwigo']));
+		$gallery['external'] = strip_tags(stripslashes($new_gallery['external']));
+		$gallery['number'] = intval(strip_tags(stripslashes($new_gallery['number'])));
+		$gallery['category'] = intval(strip_tags(stripslashes($new_gallery['category'])));
+		$gallery['from'] = intval(strip_tags(stripslashes($new_gallery['from'])));
+		$gallery['divclass'] = strip_tags(stripslashes($new_gallery['divclass']));
+		$gallery['class'] = strip_tags(stripslashes($new_gallery['class']));
+		$gallery['most_visited'] = (strip_tags(stripslashes($new_gallery['most_visited'])) == 'true') ? 'true':'false';
+		$gallery['best_rated'] = (strip_tags(stripslashes($new_gallery['best_rated'])) == 'true') ? 'true':'false';
+		$gallery['most_commented'] = (strip_tags(stripslashes($new_gallery['most_commented'])) == 'true') ? 'true':'false';
+		$gallery['random'] = (strip_tags(stripslashes($new_gallery['random'])) == 'true') ? 'true':'false';
+		$gallery['recent_pics'] = (strip_tags(stripslashes($new_gallery['recent_pics'])) == 'true') ? 'true':'false';
+		$gallery['calendar'] = (strip_tags(stripslashes($new_gallery['calendar'])) == 'true') ? 'true':'false';
+		$gallery['tags'] = (strip_tags(stripslashes($new_gallery['tags'])) == 'true') ? 'true':'false';
+		$gallery['comments'] = (strip_tags(stripslashes($new_gallery['comments'])) == 'true') ? 'true':'false';
+		$gallery['mbcategories'] = (strip_tags(stripslashes($new_gallery['mbcategories'])) == 'true') ? 'true':'false';
+		return $gallery;
+	}
+	function form($gallery){
+		// Options
+		include 'Public_WP_Piwigo_options.php';
+	}
 }
 
-/**
-  * Register Public Piwigo WordPress Widget
-  */
-  function Public_Piwigo_WordPress_Widget_Init() {
-        register_widget('Public_Piwigo_WordPress_Widget');
-  }
-  add_action('widgets_init', 'Public_Piwigo_WordPress_Widget_Init');
+// Register
+function Public_Piwigo_WordPress_Widget_Init() {
+			register_widget(PPW_PFX . 'Widget');
+}
+add_action('widgets_init', PPW_PFX . 'Widget_Init');
 ?>
Index: /extensions/Public_Piwigo_WordPress_Widget/Public_WP_Piwigo_code.php
===================================================================
--- /extensions/Public_Piwigo_WordPress_Widget/Public_WP_Piwigo_code.php	(revision 4055)
+++ /extensions/Public_Piwigo_WordPress_Widget/Public_WP_Piwigo_code.php	(revision 4055)
@@ -0,0 +1,107 @@
+<?php
+if (defined('PHPWG_ROOT_PATH')) return; /* Avoid Automatic install under Piwigo */
+if (!defined('PPW_NAME')) return; /* Avoid Direct call */
+
+global $wpdb; /* Need for recent thumbnail access */
+extract($args);
+
+$title = apply_filters('widget_title', empty($gallery['title']) ? '&nbsp;' : $gallery['title']);
+if ( $title ) $title = $before_title . $title . $after_title;
+
+$piwigo = empty($gallery['piwigo']) ? '' : $gallery['piwigo'];
+$piwigo_url = 'http://' . $_SERVER['HTTP_HOST'] . '/' . $piwigo ;
+if (!empty($gallery['external'])) $piwigo_url = $gallery['external'];
+if (substr($piwigo_url,-1)!='/') $piwigo_url .= '/';
+
+$thumbnail = empty($gallery['thumbnail']) ? '' : $gallery['thumbnail'];
+
+$options = '';
+$number = empty($gallery['number']) ? 1 : intval($gallery['number']);
+$options .= '&per_page=' . intval($gallery['number']);
+if (!empty($gallery['category'])) $options .= '&cat_id=' . intval($gallery['category']);
+$from = empty($gallery['from']) ? '12' : intval($gallery['from']);
+$r = (array) $wpdb->get_results('SELECT date_sub( date( now( ) ) , INTERVAL ' . $from . ' MONTH ) as begin');
+$from = $r[0]->begin;
+if (!empty($gallery['from'])) $options .= '&f_min_date_created=' . $from;
+
+$divclass = empty($gallery['divclass']) ? '' : (' class="' . $gallery['divclass'] .'"');
+$class = empty($gallery['class']) ? '' : (' class="' . $gallery['class'] .'"');
+$mbcategories = empty($gallery['mbcategories']) ? '' : $gallery['mbcategories'];
+$most_visited = empty($gallery['most_visited']) ? '' : $gallery['most_visited'];
+$best_rated = empty($gallery['best_rated']) ? '' : $gallery['best_rated'];
+$most_commented = empty($gallery['most_commented']) ? '' : $gallery['most_commented'];
+$random = empty($gallery['random']) ? '' : $gallery['random'];
+$recent_pics = empty($gallery['recent_pics']) ? '' : $gallery['recent_pics'];
+$calendar = empty($gallery['calendar']) ? '' : $gallery['calendar'];
+$tags = empty($gallery['tags']) ? '' : $gallery['tags'];
+$comments = empty($gallery['comments']) ? '' : $gallery['comments'];
+
+echo $before_widget;
+echo $title;
+
+if ($thumbnail == 'true') {
+	// Make the Piwigo link
+	$response = file_get_contents( $piwigo_url 
+			. 'ws.php?method=pwg.categories.getImages&format=php'
+			. $options . '&recursive=true&order=random&f_with_thumbnail=true');
+	$thumbc = unserialize($response);
+	if ($thumbc["stat"] == 'ok') {
+		$pictures = $thumbc["result"]["images"]["_content"];
+		foreach ($pictures as $picture) {
+			echo '<div' . $divclass . '><a title="' . $title . '" href="' 
+				. $piwigo_url . 'picture.php?/' . $picture['id'] . '"><img '
+				. $class . ' src="' . $picture['tn_url'] . '" alt="" /></a></div>';
+		}
+	}
+}
+
+if ($mbcategories == 'true') {
+	// Make the Piwigo category list
+	$response = file_get_contents( $piwigo_url 
+			. 'ws.php?method=pwg.categories.getList&format=php&public=true');
+	$cats = unserialize($response);
+	if ($cats["stat"] == 'ok') {
+		echo '<ul style="clear: both;"><li>' . __('Pictures categories') . '<ul>';
+		foreach ($cats["result"]["categories"] as $cat) {
+			echo '<li><a title="' . $cat['name'] . '" href="' . $piwigo_url . 'index.php?category/' . $cat['id'] . '">' . $cat['name'] . '</a></li>';
+		}
+		echo '</ul></li></ul>';
+	}
+}
+
+if ($most_visited == 'true' or $best_rated == 'true' or 
+    $most_commented == 'true' or $random == 'true' or $recent_pics == 'true' or 
+    $calendar == 'true' or $tags == 'true' or $comments == 'true') echo '<ul style="clear: both;">';
+
+if ($most_visited == 'true') 
+	echo '<li><a title="' . __('Most visited') . '" href="' . $piwigo_url . 'index.php?most_visited' . '">' . __('Most visited') . '</a></li>';
+
+if ($best_rated == 'true') 
+	echo '<li><a title="' . __('Best rated') . '" href="' . $piwigo_url . 'index.php?best_rated' . '">' . __('Best rated') . '</a></li>';
+
+if ($most_commented == 'true') 
+	echo '<li><a title="' . __('Most commented') . '" href="' . $piwigo_url . 'index.php?most_commented' . '">' . __('Most commented') . '</a></li>';
+
+if ($random == 'true') 
+	echo '<li><a title="' . __('Random') . '" href="' . $piwigo_url . 'random.php' . '">' . __('Random') . '</a></li>';
+
+if ($recent_pics == 'true')
+	echo '<li><a title="' . __('Recent pics') . '" href="' . $piwigo_url . 'index.php?recent_pics' . '">' . __('Recent pics') . '</a></li>';
+
+if ($calendar == 'true') 
+	echo '<li><a title="' . __('Calendar') . '" href="' . $piwigo_url . 'index.php?created-monthly-calendar' . '">' . __('Calendar') . '</a></li>';
+
+if ($tags == 'true') 
+	echo '<li><a title="' . __('Tags') . '" href="' . $piwigo_url . 'tags.php' . '">' . __('Tags') . '</a></li>';
+
+if ($comments == 'true') 
+	echo '<li><a title="' . __('Comments') . '" href="' . $piwigo_url . 'comments.php' . '">' . __('Comments') . '</a></li>';
+
+
+if ($most_visited == 'true' or $best_rated == 'true' or 
+    $most_commented == 'true' or $random == 'true' or $recent_pics == 'true' or 
+    $calendar == 'true' or $tags == 'true' or $comments == 'true') echo '</ul>';
+
+echo $after_widget;
+
+?>
Index: /extensions/Public_Piwigo_WordPress_Widget/Public_WP_Piwigo_options.php
===================================================================
--- /extensions/Public_Piwigo_WordPress_Widget/Public_WP_Piwigo_options.php	(revision 4055)
+++ /extensions/Public_Piwigo_WordPress_Widget/Public_WP_Piwigo_options.php	(revision 4055)
@@ -0,0 +1,108 @@
+<?php
+if (defined('PHPWG_ROOT_PATH')) return; /* Avoid Automatic install under Piwigo */
+if (!defined('PPW_NAME')) return; /* Avoid Direct call */
+
+	// Defaults
+	$gallery = wp_parse_args( (array) $gallery, array('title'=>__('Random picture'), 
+		'thumbnail'=>'true', 'piwigo'=>'piwigo', 'external'=>'', 'number'=>1, 'category'=>0, 'from'=> 12, 'divclass'=>'', 
+		'class'=>'',  'most_visited' => 'true', 'best_rated' => 'true',
+		'most_commented' => 'true', 'random' => 'true', 'recent_pics' => 'true',
+		'calendar' => 'true', 'tags' => 'true', 'comments' => 'true', 'mbcategories' => 'true',
+		 ) );
+
+	$title = htmlspecialchars($gallery['title']);
+	$thumbnail = (htmlspecialchars($gallery['thumbnail']) == 'true') ? 'checked="checked"':'';
+	$piwigo = htmlspecialchars($gallery['piwigo']);
+	$external = htmlspecialchars($gallery['external']);
+	$number = intval($gallery['number']);
+	$category = intval($gallery['category']);
+	$from = intval($gallery['from']);
+	$divclass = htmlspecialchars($gallery['divclass']);
+	$class = htmlspecialchars($gallery['class']);
+	$mbcategories = (htmlspecialchars($gallery['mbcategories']) == 'true') ? 'checked="checked"':'';
+	$most_visited = (htmlspecialchars($gallery['most_visited']) == 'true') ? 'checked="checked"':'';
+	$best_rated = (htmlspecialchars($gallery['best_rated']) == 'true') ? 'checked="checked"':'';
+	$most_commented = (htmlspecialchars($gallery['most_commented']) == 'true') ? 'checked="checked"':'';
+	$random = (htmlspecialchars($gallery['random']) == 'true') ? 'checked="checked"':'';
+	$recent_pics = (htmlspecialchars($gallery['recent_pics']) == 'true') ? 'checked="checked"':'';
+	$calendar = (htmlspecialchars($gallery['calendar']) == 'true') ? 'checked="checked"':'';
+	$tags = (htmlspecialchars($gallery['tags']) == 'true') ? 'checked="checked"':'';
+	$comments = (htmlspecialchars($gallery['comments']) == 'true') ? 'checked="checked"':'';
+
+	// Options
+	echo '<p style="text-align:right;"><label for="' . $this->get_field_name('title') . '">' . __('Title') 
+	. ' <input style="width: 250px;" id="' . $this->get_field_id('title') . '" name="' . $this->get_field_name('title')
+	. '" type="text" value="' . $title . '" /></label></p>';
+	// Thumbnail
+	echo '<p style="text-align:right;"><label for="' . $this->get_field_name('thumbnail') . '">' . __('Get thumbnails') 
+	. ' <input style="width: 50px;" id="' . $this->get_field_id('thumbnail') . '" name="' . $this->get_field_name('thumbnail')
+	. '" type="checkbox" value="true" ' . $thumbnail . '/></label></p>';
+	// Piwigo directory
+	echo '<p style="text-align:right;"><label for="' . $this->get_field_name('piwigo') . '">' . __('<strong>Local</strong> directory (if local)') 
+	. ' <input style="width: 200px;" id="' . $this->get_field_id('piwigo') . '" name="' . $this->get_field_name('piwigo')
+	. '" type="text" value="' . $piwigo . '" /></label></p>';
+	// External website
+	echo '<p style="text-align:right;"><label for="' . $this->get_field_name('external') . '">' . __('(or) <strong>External</strong> gallery URL') 
+	. ' <input style="width: 250px;" id="' . $this->get_field_id('external') . '" name="' . $this->get_field_name('external')
+	. '" type="text" value="' . $external . '" /></label></p>';
+	// number of pictures
+	echo '<p style="text-align:right;"><label for="' . $this->get_field_name('number') . '">' . __('Number of pictures (0=none)') 
+	. ' <input style="width: 30px;" id="' . $this->get_field_id('number') . '" name="' . $this->get_field_name('number')
+	. '" type="text" value="' . $number . '" /></label></p>';
+	// Optional parameters
+	echo '<h5>' . __('Optional parameters') . '</h5>';
+	// Selected category
+	echo '<p style="text-align:right; font-size:8px; margin:0;"><label for="' . $this->get_field_name('category') . '">' . __('Category id (0=all)') 
+	. ' <input style="width: 30px;" id="' . $this->get_field_id('category') . '" name="' . $this->get_field_name('category')
+	. '" type="text" value="' . $category . '" /></label></p>';
+	// from
+	echo '<p style="text-align:right; font-size:8px; margin:0;"><label for="' . $this->get_field_name('from') . '">' . __('Since X months (0=all)') 
+	. ' <input style="width: 30px;" id="' . $this->get_field_id('from') . '" name="' . $this->get_field_name('from')
+	. '" type="text" value="' . $from . '" /></label></p>';
+	// divclass
+	echo '<p style="text-align:right; font-size:8px; margin:0;"><label for="' . $this->get_field_name('divclass') . '">' . __('CSS DIV class') 
+	. ' <input style="width: 200px;" id="' . $this->get_field_id('divclass') . '" name="' . $this->get_field_name('divclass')
+	. '" type="text" value="' . $divclass . '" /></label></p>';
+	// class
+	echo '<p style="text-align:right; font-size:8px; margin:0;"><label for="' . $this->get_field_name('class') . '">' . __('CSS IMG class') 
+	. ' <input style="width: 200px;" id="' . $this->get_field_id('class') . '" name="' . $this->get_field_name('class')
+	. '" type="text" value="' . $class . '" /></label></p>';
+
+	// The categories menu
+	echo '<table><tr><td style="text-align:right; font-size:8px;" colspan="2"><label for="' . $this->get_field_name('mbcategories') . '">' . __('Categories menu') 
+	. ' <input style="width: 50px;" id="' . $this->get_field_id('mbcategories') . '" name="' . $this->get_field_name('mbcategories')
+	. '" type="checkbox" value="true" ' . $mbcategories . '/></label></td>';
+	// The most visited
+	echo '</tr><tr><td style="text-align:right; font-size:8px;"><label for="' . $this->get_field_name('most_visited') . '">' . __('Most visited') 
+	. ' <input style="width: 50px;" id="' . $this->get_field_id('most_visited') . '" name="' . $this->get_field_name('most_visited')
+	. '" type="checkbox" value="true" ' . $most_visited . '/></label></td>';
+	// The best rated
+	echo '<td style="text-align:right; font-size:8px;"><label for="' . $this->get_field_name('best_rated') . '">' . __('Best rated') 
+	. ' <input style="width: 50px;" id="' . $this->get_field_id('best_rated') . '" name="' . $this->get_field_name('best_rated')
+	. '" type="checkbox" value="true" ' . $best_rated . '/></label></td>';
+	// The most commented
+	echo '</tr><tr><td style="text-align:right; font-size:8px;"><label for="' . $this->get_field_name('most_commented') . '">' . __('Most commented') 
+	. ' <input style="width: 50px;" id="' . $this->get_field_id('most_commented') . '" name="' . $this->get_field_name('most_commented')
+	. '" type="checkbox" value="true" ' . $most_commented . '/></label></td>';
+	// The random link
+	echo '<td style="text-align:right; font-size:8px;"><label for="' . $this->get_field_name('random') . '">' . __('Random') 
+	. ' <input style="width: 50px;" id="' . $this->get_field_id('random') . '" name="' . $this->get_field_name('random')
+	. '" type="checkbox" value="true" ' . $random . '/></label></td>';
+	// The recent pics
+	echo '</tr><tr><td style="text-align:right; font-size:8px;"><label for="' . $this->get_field_name('recent_pics') . '">' . __('Recent pics') 
+	. ' <input style="width: 50px;" id="' . $this->get_field_id('recent_pics') . '" name="' . $this->get_field_name('recent_pics')
+	. '" type="checkbox" value="true" ' . $recent_pics . '/></label></td>';
+	// The calendar
+	echo '<td style="text-align:right; font-size:8px;"><label for="' . $this->get_field_name('calendar') . '">' . __('Calendar') 
+	. ' <input style="width: 50px;" id="' . $this->get_field_id('calendar') . '" name="' . $this->get_field_name('calendar')
+	. '" type="checkbox" value="true" ' . $calendar . '/></label></td>';
+	// The random
+	echo '</tr><tr><td style="text-align:right; font-size:8px;"><label for="' . $this->get_field_name('tags') . '">' . __('Tags') 
+	. ' <input style="width: 50px;" id="' . $this->get_field_id('tags') . '" name="' . $this->get_field_name('tags')
+	. '" type="checkbox" value="true" ' . $random . '/></label></td>';
+	// The tags
+	echo '<td style="text-align:right; font-size:8px;"><label for="' . $this->get_field_name('comments') . '">' . __('Comments') 
+	. ' <input style="width: 50px;" id="' . $this->get_field_id('comments') . '" name="' . $this->get_field_name('comments')
+	. '" type="checkbox" value="true" ' . $tags . '/></label></td></tr></table>';
+
+?>
Index: /extensions/Public_Piwigo_WordPress_Widget/readme.txt
===================================================================
--- /extensions/Public_Piwigo_WordPress_Widget/readme.txt	(revision 4055)
+++ /extensions/Public_Piwigo_WordPress_Widget/readme.txt	(revision 4055)
@@ -0,0 +1,13 @@
+=== Plugin Name ===
+Contributors: VDigital
+Donate link: http://www.vdigital.org/sharing/
+Tags: galleries, public pictures, randomize
+Requires at least: 2.8.4
+Tested up to: 2.8.4
+Stable tag: 
+
+This widget integrates in your blog sidebars some randomized thumbnails and some links from your or any open API Piwigo gallery.
+
+== Description ==
+
+Ongoing